petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDrawPoint

PetscDraws a point onto a drawable.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawPoint(PetscDraw draw,PetscReal xl,PetscReal yl,int cl)

Not collective

### Input Parameters

| draw | - the drawing context
| xl,yl | - the coordinates of the point
| cl | - the color of the point

### See Also

PetscDrawPointPixel(), PetscDrawPointSetSize(), PetscDrawLine(), PetscDrawRectangle(), PetscDrawTriangle(), PetscDrawEllipse(),
PetscDrawMarker(), PetscDrawString(), PetscDrawArrow()

### Level

beginner

### Location

src/sys/classes/draw/interface/dpoint.c

### Implementations

PetscDrawPoint_Image in src/sys/classes/draw/impls/image/drawimage.c
PetscDrawPoint_Null in src/sys/classes/draw/impls/null/drawnull.c
PetscDrawPoint_Win32 in src/sys/classes/draw/impls/win32/win32draw.c
PetscDrawPoint_X in src/sys/classes/draw/impls/x/xops.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages